# Class TCEFPanelComponent

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFPanelComponent

## Declaration

`type TCEFPanelComponent = class(TCEFViewComponent, ICefPanelDelegateEvents)`

## Description

This item has no description.

## Hierarchy

- TObject
- TPersistent
- TComponent
- TCEFViewComponent
- TCEFPanelComponent

## Overview

### Fields

| `FPanel: ICefPanel;`

### Methods

| `procedure DestroyView; override;`
| `procedure Initialize; override;`
| `function GetInitialized: boolean; override;`
| `function GetAsView: ICefView; override;`
| `function GetAsPanel: ICefPanel; override;`
| `function GetAsWindow: ICefWindow; virtual;`
| `function GetChildViewCount: NativeUInt;`
| `procedure doCreateCustomView; override;`
| `procedure CreatePanel;`
| `function SetToFillLayout: ICefFillLayout;`
| `function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;`
| `function GetLayout: ICefLayout;`
| `procedure Layout;`
| `procedure AddChildView(const view: ICefView);`
| `procedure AddChildViewAt(const view: ICefView; index: Integer);`
| `procedure ReorderChildView(const view: ICefView; index: Integer);`
| `procedure RemoveChildView(const view: ICefView);`
| `procedure RemoveAllChildViews;`
| `function GetChildViewAt(index: Integer): ICefView;`

### Properties

| `property AsWindow : ICefWindow read GetAsWindow;`
| `property ChildViewCount : NativeUInt read GetChildViewCount;`

## Description

### Fields

| `FPanel: ICefPanel;`
This item has no description.

### Methods

| `procedure DestroyView; override;`
This item has no description.

| `procedure Initialize; override;`
This item has no description.

| `function GetInitialized: boolean; override;`
This item has no description.

| `function GetAsView: ICefView; override;`
This item has no description.

| `function GetAsPanel: ICefPanel; override;`
This item has no description.

| `function GetAsWindow: ICefWindow; virtual;`
This item has no description.

| `function GetChildViewCount: NativeUInt;`
This item has no description.

| `procedure doCreateCustomView; override;`
ICefViewDelegateEvents

| `procedure CreatePanel;`
Create a new Panel.

| `function SetToFillLayout: ICefFillLayout;`
Set this Panel's Layout to FillLayout and return the FillLayout object.

| `function SetToBoxLayout(const settings: TCefBoxLayoutSettings): ICefBoxLayout;`
Set this Panel's Layout to BoxLayout and return the BoxLayout object.

| `function GetLayout: ICefLayout;`
Get the Layout.

| `procedure Layout;`
Lay out the child Views (set their bounds based on sizing heuristics specific to the current Layout).

| `procedure AddChildView(const view: ICefView);`
Add a child View.

| `procedure AddChildViewAt(const view: ICefView; index: Integer);`
Add a child View at the specified |index|. If |index| matches the result of GetChildCount() then the View will be added at the end.

| `procedure ReorderChildView(const view: ICefView; index: Integer);`
Move the child View to the specified |index|. A negative value for |index| will move the View to the end.

| `procedure RemoveChildView(const view: ICefView);`
Remove a child View. The View can then be added to another Panel.

| `procedure RemoveAllChildViews;`
Remove all child Views. The removed Views will be deleted if the client holds no references to them.

| `function GetChildViewAt(index: Integer): ICefView;`
Returns the child View at the specified |index|.

### Properties

| `property AsWindow : ICefWindow read GetAsWindow;`
Returns this Panel as a Window or NULL if this is not a Window.

| `property ChildViewCount : NativeUInt read GetChildViewCount;`
Returns the number of child Views.

Generated by PasDoc 0.16.0-snapshot.